Subject: Re: bug#47424: 28.0.50; enable-theme shows an empty list

From: Stefan Kangas <[email-masked]>
Date: Sun, 4 Apr 2021 08:17:04 -0500

Eli Zaretskii <[email-masked]> writes:

> So loading the theme will enable it, but disabling will not unload it?
> Then how to I re-enable a theme that was disabled? by loading it the
> second time?

I suggest we take a step back from these details:

I'm saying that the user should not need to worry about whether or not
the theme is loaded.

To put this more concretely, I'd like to see two functions (and let's
disregard what we have now for the sake of argument):

    enable-theme
    disable-theme

Whatever happens technically (loading, autoloading, unloading, etc.) is
not interesting to the user.  What is interesting is that after you run
one of the above commands the specified theme is either enabled or
disabled.